Problemas para actualizar los repositorios [Solucionado]

Conversaciones generales alrededor Sabayon Linux

Moderator: Moderators

Problemas para actualizar los repositorios [Solucionado]

Postby tillcesar » Wed Oct 20, 2010 2:42

Al intentar actualizar los repositorios me arroja el siguiente error:
Code: Select all
Repositorio sabayonlinux.org está corrupto. No se puede validar
OperationalError('no such table: configprotectreference',)
 @@ Sincronización de los repositorios ...
   [sabayon.org:1026] Correctamente conectado al host
   [sabayon.org:1026] Correctamente desconectado del host
  # Sabayon Linux Official Repository
  # Repository URL: http://pkg.sabayon.org/standard/sabayonlinux.org/database/x86/5
  # Repository local path: /var/lib/entropy/client/database/x86/sabayonlinux.org/standard/x86/5
  # Repository API: 3
   [sabayon.org:1026] Correctamente conectado al host
   [sabayon.org:1026] Correctamente desconectado del host
   Atención: repository is already up to date.
Repositorio sabayonlinux.org está corrupto. No se puede validar
OperationalError('no such table: configprotectreference',)
Repositorio sabayonlinux.org está corrupto. No se puede validar
OperationalError('no such table: configprotectreference',)


Y si lo hago forzando la actualización me arroja el siguiente:
Code: Select all
    Desempaquetando la base de datos en packages.db.dumplight ...
    Inyectando los elementos descargados packages.db.dumplight, espera por favor ...
Exception in thread Thread-5:
Traceback (most recent call last):
  File "/usr/lib/python2.6/threading.py", line 532, in __bootstrap_inner
    self.run()
  File "/usr/lib/entropy/libraries/entropy/misc.py", line 367, in run
    self.__rc = self.__function(*self.__args, **self.__kwargs)
  File "/usr/lib/entropy/sulfur/sulfur/__init__.py", line 1513, in run_up
    rc = repoConn.sync()
  File "/usr/lib/entropy/libraries/entropy/client/interfaces/repository.py", line 271, in sync
    rc = self._run_sync()
  File "/usr/lib/entropy/libraries/entropy/client/interfaces/repository.py", line 98, in _run_sync
    repo, self.force, self._gpg_feature)
  File "/usr/lib/entropy/libraries/entropy/client/interfaces/db.py", line 2047, in update
    force, gpg).update()
  File "/usr/lib/entropy/libraries/entropy/client/interfaces/db.py", line 1963, in update
    dbfile, cmethod)
  File "/usr/lib/entropy/libraries/entropy/client/interfaces/db.py", line 273, in __eapi2_inject_downloaded_dump
    rc = dbconn.importRepository(dumpfile, dbfile)
  File "/usr/lib/entropy/libraries/entropy/db/__init__.py", line 4713, in importRepository
    os.rename(tmp_dbfile, dbfile)
OSError: [Errno 2] No existe el fichero o el directorio


Como marca que no esta descargada la base de datos tampoco puedo instalar ó reinstalar paquetes.

Tengo duda si es problema del repositorio o si algo está mal en mi equipo, de ser así que es lo que tengo que hacer para corregirlo.

Saludos.
Last edited by tillcesar on Mon Oct 25, 2010 22:09, edited 1 time in total.
tillcesar
Young Hen
 
Posts: 31
Joined: Wed Apr 02, 2008 5:43
Location: Mexico

Re: Problemas para actualizar los repositorios

Postby DHalens » Sat Oct 23, 2010 14:58

Reinstala entropy, equo y sulfur:
Code: Select all
equo install equo entropy sulfur
Former Sabayon staff (retired).
For any personal questions or whatever, contact me trough my G+ profile
DHalens
Old Dear Hen
 
Posts: 933
Joined: Thu Apr 10, 2008 23:08
Location: Canary Islands, Spain

Re: Problemas para actualizar los repositorios

Postby tillcesar » Mon Oct 25, 2010 20:55

Como ya había comentado antes, no puedo instalar, reinstalar o desinstalar paquetes ya que el sistema marca que no se ha descargado la base de datos del repositorio.

Al ejecutar el comando envía el siguiente error
Code: Select all
#equo install equo entropy sulfur
>> El repositorio sabayonlinux.org no ha sido descargado aún.
>> Repositorio sabayonlinux.org no está disponible. No se puede validar
>> RepositoryError()
>> !!! Por favor, actualiza los repositorios para hacer que este mensaje desaparezca.
>> !!! No hay coincidencias para equo en los repositorios.
>> !!! No hay coincidencias para entropy en los repositorios.
>> !!! No hay coincidencias para sulfur en los repositorios.
>> No se han encontrado paquetes.


Incluso descargue los paquetes e intenté instalándolos manualmente pero aún así sigo obteniendo los mismos errores.
tillcesar
Young Hen
 
Posts: 31
Joined: Wed Apr 02, 2008 5:43
Location: Mexico

Re: Problemas para actualizar los repositorios

Postby tillcesar » Mon Oct 25, 2010 22:09

El problema era por la librería "libc.so.6", la cual es necesitada por sqlite.

Lo que hice fue buscarla en la página de sabayon, ahí me salió que el paquete que la incluye es "sys-libs/glibc-2.11.2".

La instalé de manera manual con sulfur y con eso quedo resuelto el problema.

Saludos.
tillcesar
Young Hen
 
Posts: 31
Joined: Wed Apr 02, 2008 5:43
Location: Mexico


Return to Spanish

Who is online

Users browsing this forum: No registered users and 1 guest